TLSv1.2 Riktlinjer

  1. I. Problemlösning för kompatibilitet
    1. 1. Testande av Browser-kompatibilitet för TLSv1.2
    2. 2. Testande av Browser-version
    3. 3. Testande av operativsystem
  2. II. Kompatibilitets-riktlinjer för TLSv1.2
    1. 1. Operativsystem-kompatibilitet
    2. 2. Browser-kompatibilitet
  3. III. Uppgradering för kompatibilitet
    1. 1. Steg för att aktivera TLSv1.2 för Browser
    2. 2. Uppgradering av Browser-version
    3. 3. Uppgradering av versionen för operativsystemet

I. Problemlösning för kompatibilitet

1. Testande av Browser-kompatibilitet för TLSv1.2

Kunden kan testa hans/hennes browser-kompatibilitet för TLSv1.2 under URL nedan:
https://quickstream.westpac.com.au/quickportal/BrowserTlsVersionView

Browser är kompatibel

Om browsern stöder TLSv1.2, ser kunden följande:

browsern stöder senaste bildversion, bilden ska placeras.

Browsern är inte kompatibel

Om browsern inte stöder TLSv1.2, får kunden följande sida som har TLS 1,0 och TLS 1,1 deaktiverade.

browsern måste uppdatera bildversionen, bilden måste placeras.

2. Testande av Browser-version

Kunden kan testa hans/hennes browser-version via URL:
https://www.whatismybrowser.com/

3. Testande av operativsystem

Kunden kan testa hans/hennes OS-version via följande URL:
http://whatsmyos.com/

II. Kompatibilitets-riktlinjer för TLSv1.2

1. Operativsystem-kompatibilitet

Operativsystem Version Kund-riktlinjer
Mac - Mac OS X 10.9 och lägre Ditt operativ-system stöds inte av TLS 1.2 och måste uppgraderas till Mac OS X 10.10 eller högre
Om uppgraderingen av operativsystemet inte är möjlig, måste enheten bytas ut.
Windows - Windows 3.1
- Windows XP
- Windows 95
- Windows NT
- Windows Vista
Ditt operativ-system stöds inte av TLS 1.2 och måste uppgraderas till Windows 7 eller högre
Om uppgraderingen av operativsystemet inte är möjlig, måste enheten bytas ut.
iOS - under iOS 7 Ditt operativ-system stöds inte av TLS 1.2 och måste uppgraderas.
Om uppgraderingen av operativsystemet inte är möjlig, måste enheten bytas ut.
Android - Android 4.4 och lägre Ditt operativ-system stöds inte av TLS 1.2 och måste uppgraderas till 5 eller högre.
Om uppgraderingen av operativsystemet inte är möjlig, måste enheten bytas ut.

2. Browser-kompatibilitet

Google Chrome

Chrome Version Operativsystem Kund-riktlinjer
v1 till 29 - Windows 7 och upp
- Mac OS X 10.9 och upp
- Linux
- Android
- iOS 9 och upp
- Chrome OS
Din webbläsare stöds inte av TLS 1.2 och måste uppgraderas.
v30 till 58 - Windows 7 och upp
- Mac OS X 10.9 och upp
- Linux
- Android
- iOS 9 och upp
- Chrome OS
Din webbläsare stöds.

Google Android OS Browser

Google Android OS Version Operativsystem Kund-riktlinjer
v1 till v4.0.4 Android Din webbläsare stöds inte av TLS 1.2 och måste uppgraderas.
v4.1 till v4.4.4 Android Du måste aktivera stöd för TLS 1.2 i din browser.
v5 till v8 Android Din browser stöder TLS 1.2.

Mozilla Firefox

Mozilla Firefox Version Operativsystem Kund-riktlinjer
v1 till v23 - Windows 7 och upp
- Mac OS X 10.9 och upp
- Linux
- Android 4.0.3 och upp
- iOS 9.0 och upp
Din webbläsare stöds inte av TLS 1.2 och måste uppgraderas.
v24 till v26 - Windows 7 och upp
- Mac OS X 10.9 och upp
- Linux
- Android 4.0.3 och upp
- iOS 9.0 och upp
Du måste aktivera stöd för TLS 1.2 i din browser.
v27 till v54 - Windows 7 och upp
- Mac OS X 10.9 och upp
- Linux
- Android 4.0.3 och upp
- iOS 9.0 och upp
Din browser stöder TLS 1.2.

Mozilla Firefox ESR

Mozilla Firefox ESR Version Operativsystem Kund-riktlinjer
v10 till v17.0.10 - Windows XP SP2 och upp
- Mac OS X 10.9 och upp
- Linux
Din webbläsare stöds inte av TLS 1.2 och måste uppgraderas.
v24 till v24.1.1 - Windows XP SP2 och upp
- Mac OS X 10.9 och upp
- Linux
Du måste aktivera stöd för TLS 1.2 i din browser.
v31 till v52.1 - Windows XP SP2 och upp
- Mac OS X 10.9 och upp
- Linux
Din browser stöder TLS 1.2.

Microsoft Internet Explorer

Internet Explorer Version Operativsystem Kund-riktlinjer
IE8 Windows XP Din webbläsare stöds inte av TLS 1.2 och måste uppgraderas.
IE8 Windows Server 2003 Din webbläsare stöds inte av TLS 1.2 och måste uppgraderas.
IE8 Windows Vista Din webbläsare stöds inte av TLS 1.2 och måste uppgraderas.
IE8 Windows 7 Du måste aktivera stöd för TLS 1.2 i din browser
IE8 Windows Server 2008 Din webbläsare stöds inte av TLS 1.2 och måste uppgraderas.
IE8 Windows Server 2008 R2 Du måste aktivera stöd för TLS 1.2 i din browser.
IE8 Windows Server 2008 R2 Du måste aktivera stöd för TLS 1.2 i din browser.
IE9 Windows Vista Din webbläsare stöds inte av TLS 1.2 och måste uppgraderas.
IE9 Windows 7 Du måste aktivera stöd för TLS 1.2 i din browser.
IE9 Windows Server 2008 Din webbläsare stöds inte av TLS 1.2 och måste uppgraderas.
IE9 Windows Server 2008 R2 Du måste aktivera stöd för TLS 1.2 i din browser.
IE10 Windows 7 Du måste aktivera stöd för TLS 1.2 i din browser.
IE10 Windows 8 Du måste aktivera stöd för TLS 1.2 i din browser.
IE10 Windows Server 2008 R2 Du måste aktivera stöd för TLS 1.2 i din browser.
IE10 Windows Server 2012 Du måste aktivera stöd för TLS 1.2 i din browser.
IE11 Windows 7 Din browser stöder TLS 1.2
IE11 Windows Server 2008 R2 Din browser stöder TLS 1.2.
IE11 Windows 8.1 Din browser stöder TLS 1.2.
IE11 Windows Server 2012 R2 Din browser stöder TLS 1.2.

Microsoft Internet Explorer Mobile

Internet Explorer Mobile Version Operativsystem Kund-riktlinjer
v7 - Windows Phone 7
- Windows Phone 7.5
- Windows Phone 7.8
Din webbläsare stöds inte av TLS 1.2 och måste uppgraderas.
v9 - Windows Phone 7
- Windows Phone 7.5
- Windows Phone 7.8
Din webbläsare stöds inte av TLS 1.2 och måste uppgraderas.
v10 Windows Phone 8 Du måste aktivera stöd för TLS 1.2 i din browser.
v11 Windows Phone 8.1 Din browser stöder TLS 1.2.

Microsoft Edge

Microsoft Edge Version Operativsystem Kund-riktlinjer
v12 Windows 10 v1507 Din browser stöder TLS 1.2.
v13 Windows 10 v1511 Din browser stöder TLS 1.2.
v14 Windows 10 v1607 Din browser stöder TLS 1.2.
v15 Windows 10 v1703 Din browser stöder TLS 1.2.
v16 Windows 10 v1709 Din browser stöder TLS 1.2.

Opera

Opera Version Operativsystem Kund-riktlinjer
v1 till v9 - Windows 7 och upp
- Mac OS X 10.9 och upp
- Linux
- Android 4.0 och upp
Din webbläsare stöds inte av TLS 1.2 och måste uppgraderas.
v10 till v12.17 - Windows 7 och upp
- Mac OS X 10.9 och upp
- Linux
- Android 4.0 och upp
Du måste aktivera stöd för TLS 1.2 i din browser.
v12.18 - Windows 7 och upp
- Mac OS X 10.9 och upp
- Linux
- Android 4.0 och upp
Din browser stöder TLS 1.2.
v14 till v16 - Windows 7 och upp
- Mac OS X 10.9 och upp
- Linux
- Android 4.0 och upp
Din webbläsare stöds inte av TLS 1.2 och måste uppgraderas.
v17 till v45 - Windows 7 och upp
- Mac OS X 10.9 och upp
- Linux
- Android 4.0 och upp
Din browser stöder TLS 1.2.

Apple Safari

Safari Version Operativsystem Kund-riktlinjer
v1 - Mac OS X 10.2 och upp Din webbläsare stöds inte av TLS 1.2 och måste uppgraderas.
v2 till v5 - Mac OS X 10.4, 10.5, 10.6, 10.7
- Windows XP
Din webbläsare stöds inte av TLS 1.2 och måste uppgraderas.
v6 - MAC OS X 10.8 Din webbläsare stöds inte av TLS 1.2 och måste uppgraderas.
v7 till v10 - Mac OS X 10.9, 10.10, 10.11, 10.12, 10.13
- iOS 1.0 och upp
Din browser stöder TLS 1.2.
v3 till v5 (iOS 3 och 4) - Mac OS X 10.2 och upp
- iOS 1.0 och upp
Din webbläsare stöds inte av TLS 1.2 och måste uppgraderas.
v3 till v5 (iOS 3 och 4) - Mac OS X 10.2 och upp
- iOS 1.0 och upp
Din webbläsare stöds inte av TLS 1.2 och måste uppgraderas.

Apple Safari Mobile

Safari Mobile Version Operativsystem Kund-riktlinjer
v3 iOS 1
iOS 2
Din webbläsare stöds inte av TLS 1.2 och måste uppgraderas.
v4 till v5 iOS 3
iOS 4
Din webbläsare stöds inte av TLS 1.2 och måste uppgraderas.
v5 till v6 iOS 5
iOS 6
Din browser stöder TLS 1.2.
v7 iOS 7 Din browser stöder TLS 1.2
v8 iOS 8 Din browser stöder TLS 1.2
v9 iOS 9 Din browser stöder TLS 1.2
v10 iOS 10 Din browser stöder TLS 1.2
v11 iOS 11 Din browser stöder TLS 1.2

III. Uppgradering för kompatibilitet

1. Steg för att aktivera TLSv1.2 för Browser

Följande lista består av stegen som behövs för att garantera att TLSv1.2 stöds för de vanligaste internet-browsers.

Microsoft Internet Explorer:

Steg för att aktivera TLS 1.2 i Microsoft Internet Explorer

  1. Öppna Internet Explorer och klicka på Verktyg > Internetoptioner.
  2. Klicka på rutorna bredvid TLS 1.1 och TLS 1.2 för att aktivera stöd för dessa protokoll.
  3. Välj optionen Avancerat.
  4. Scrolla ned till sektionen Säkerhet längst ned i listan för inställningar.
  5. Klicka på rutorna bredvid TLS 1.1 och TLS 1.2 för att aktivera stöd för dessa protokoll.
  6. Ta bort klicket bredvid SSL 3.0 för att deaktivera inställningen.
  7. Klicka på Aktivera och OK.
  8. Stäng din browser och nystarta Internet Explorer.

Din browser är nu redo att stöda TLS 1.2 protokollet.

Mozilla Firefox:

Steg för att aktivera TLS 1.2 i Mozilla Firefox

  1. Öppna Firefox
  2. Inom URL/adressfältet anger du about:config och trycker på Enter.
  3. Under Sök anger du sedan tls. Hitta och dubbelklicka på innehållet för security.tls.version.min
  4. Ställ in Integritets-värdet till 3 för att aktivera stöd för TLS 1.2.
  5. Klicka på OK
  6. Stäng din browser och starta Mozilla Firefox igen.

Din browser är nu redo att stöda TLS 1.2 protokollet.

Google Chrome:

Steg för att aktivera TLS 1.2 i Google Chrome

  1. I browsern klickar du på Anpassa i högra hörnet och klickar på inställningar.
  2. Scrolla ned till Nätverk och klicka på ändra proxy-inställningar
  3. Inom Internet-egenskaper klickar du sedan på avancerat och scrollar ned till Säkerhet. Välj TLS 1.2 checkboxen.

Din browser är nu redo att stöda TLS 1.2 protokollet.

Opera

  1. Öppna Opera.
  2. Klicka på Ctrl och F12.
  3. Scrolla ned till sektionen Nätverk och klicka på Ändra proxy-inställningar...
  4. Välj optionen Avancerat.
  5. Scrolla ned till sektionen Säkerhet och välj rutorna bredvid Använd TLS 1.1 och använd TLS 1.2.
  6. Klicka på Ok.
  7. Stäng din browser och starta Opera igen.

Din browser är nu redo att stöda TLS 1.2 protokollet.

Apple Safari:

Det finns inga optioner för att aktivera SSL-protokoll. Om kunden använder Safari version 7 eller högre, aktiveras TLS 1.1 och TLS 1.2 automatiskt.

2. Uppgradering av Browser-version

Kunden kan besöka de relevanta länkarna som nämns nedan, för att uppgradera till den senaste browserversionen.

Google Chrome
https://www.google.com/chrome/

Google Android OS Browser
https://play.google.com/store/apps/details?id=org.easyweb.browser&hl=en

Mozilla Firefox
https://www.mozilla.org/en-US/firefox/

Mozilla Firefox ESR
https://www.mozilla.org/en-US/firefox/organizations/

Microsoft Internet Explorer
https://www.microsoft.com/en-us/download/internet-explorer.aspx

Microsoft Internet Explorer Mobile
https://support.microsoft.com/en-us/help/12662/windows-phone-update-your-windows-phone

Opera
https://www.opera.com/o/ie-simple

Apple Safari
https://support.apple.com/downloads/safari

Apple Safari Mobile
https://support.apple.com/downloads/safari

3. Uppgradering av versionen för operativsystemet

Kunden kan kontakta Kundtjänsten för ytterligare hjälp.